# Zoom Guidelines

Zoom is the main video communication platform for Kubernetes. 
It is used for running the [community meeting](https://github.com/kubernetes/community/blob/master/events/community-meeting.md) and SIG meetings. 
Since the Zoom meetings are open to the general public, a Zoom host has to moderate a meeting if a person is in violation of the code of conduct. 

These guidelines are meant as a tool to help Kubernetes members manage their Zoom resources. 
Check the main [moderation](./moderation.md) page for more information on other tools and general moderation guidelines.

## Code of Conduct
Kubernetes adheres to Cloud Native Compute Foundation's [Code of Conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md) throughout the project, and includes all communication mediums.

## Moderation

Zoom has documentation on how to use their moderation tools: 

- https://support.zoom.us/hc/en-us/articles/201362603-Host-Controls-in-a-Meeting

Check the "Screen Share Controls" (via the ^ next to Share Screen): Select who can share in your meeting and if you want only the host or any participant to be able to start a new share when someone is sharing.  

You can also put an attendee on hold. This allows the host(s) to put attendee on hold to temporarily remove an attendee from the meeting. 

Unfortunately, Zoom doesn't have the ability to ban or block people from joining - especially if they have the invitation to that channel and the meeting id is publicly known.

It is required that a host be comfortable with how to use these moderation tools. It is strongly encouraged that at least two people in a given SIG are comfortable with the moderation tools. 

## Meeting Archive Videos

If a violation has been addressed by a host and it has been recorded by Zoom, the video should be edited before being posted on the [Kubernetes channel](https://www.youtube.com/c/kubernetescommunity).

Contact [SIG Contributor Experience](https://github.com/kubernetes/community/tree/master/sig-contributor-experience) if you need help to edit a video before posting it to the public. 

## Admins

- @parispittman
- @castrojo

Each SIG should have at least one person with a paid Zoom account. 
See the [SIG Creation procedure](https://github.com/kubernetes/community/blob/master/sig-governance.md#sig-creation-procedure) document on how to set up an initial account. 

The Zoom licenses are managed by the [CNCF Service Desk](https://github.com/cncf/servicedesk). 

## Escalating and/Reporting a Problem

Issues that cannot be handle via normal moderation can be escalated to the [Kubernetes steering committee](https://github.com/kubernetes/steering). 
