# Kubernetes Dev Summit
# 

## Edit - Event Location
##
The event is on the 4th Floor of the *Union Street Tower* of the Sheraton Seattle Hotel. 

# About the Event
#
The Kubernetes Developers' Summit provides an avenue for Kubernetes
developers  to connect face to face and mindshare about future community
development and community governance endeavors.

In some sense, the summit is a real-life extension of the community
meetings and SIG meetings.

## Event Format
## 
The Dev Summit is a "loosely-structured [unconference][uncf]". Rather
than speakers and presentations, we will have moderators/facilitators
and discussion topics, alongside all-day completely unstructured
hacking.

The discussion sessions will be in an open fishbowl format &mdash; rings of
chairs, with inner rings driving the discussion &mdash; where anyone can
contribute. The various sessions will be proposed and voted on by the
community in the weeks leading up to the event. This allows the
community to motivate the events of the day without dedicating precious
day-of time to choosing the sessions and making a schedule.

There will be 3 rooms dedicated to these sessions running in parallel
all day. Each session should last between 45 minutes and an hour.

Then, there will be 2 smaller rooms for hacking / unstructured
discussion all day.

#### Who Should Go?
#### 
The target audience is the Kubernetes developer community. The group
will be relatively small (~120-150 attendees), to improve communication
and facilitate easier decision-making. The majority of the attendees
will be selected from key company team and SIG leaders, power-users, and
the most active contributors. An additional pool of tickets will be
awarded via lottery. **Any interested party** should enter the lottery via
[this form][lotfrm]. Invitees will receive an invitation on or before October 12th. 
RSVP information will be available in the invitation email.  Tickets are
not transferrable.

Please note that this Summit is not the right environment for people to
*start* learning about the Kubernetes project. There are plenty of
[meetups][mtp] organized by global user groups where one can get
involved initially.

#### Call for Proposals
#### 
Proposals for discussion topics can be submitted through [this
form][propfrm] by September 30, 23:59 PT. If you propose a session topic,
please be prepared to attend and facilitate the session if it gets
chosen. Other members will help with moderating, either as volunteer
co-facilitators or as members of the larger discussion group.

Suggestions for session topic themes:

* Hashing out technical issues 
* Long term component / SIG planning

In early October, proposal topics will be posted to the kubernetes-dev
mailing list and voted on via [CIVS][civs], the Condorcet Internet
Voting Service. A schedule will be made from the winning topics with
some editorial license, and the schedule will be announced to the group
at least a week before the event.

## When & Where?
## 
The Dev Summit will follow [Kubecon][kbc] on November 10th, 2016.
Fortunately for those who attend Kubecon, the Dev Summit will be at the
same venue, [the Sheraton Seattle Hotel][sher]. As of now, the day's
activities should run from breakfast being served at 8 AM to closing
remarks ending around 3:30 PM, with an external happy hour to follow.

## Desired outcomes
## 
* Generate notes from the sessions to feed the project's documentation
and knowledge base, and also to keep non-attendees plugged in 
* Make (and document) recommendations and decisions for the near-term and
mid-term future of the project 
* Come up with upcoming action items, as well as leaders for those action items, for the various topics that we discuss

[//]: # (Reference Links)
   [uncf]: <https://en.wikipedia.org/wiki/Unconference>
   [mtp]: <http://www.meetup.com/topics/kubernetes/all/>
   [lotfrm]: <https://docs.google.com/forms/d/e/1FAIpQLSe8t6pvRjh1OeF6xrXKbXmzHGMhQ4c-MbZ6QUr9APJNjpgAzA/viewform>
   [propfrm]: <https://docs.google.com/forms/d/e/1FAIpQLSf30x18OGCv_Und7qah4y5Zs3Z-0YoBCo964ZsmhtbxBjMzxA/viewform>
   [civs]: <http://civs.cs.cornell.edu/>
   [kbc]: <http://events.linuxfoundation.org/events/kubecon>
   [sher]: <http://www.sheratonseattle.com/>
