# 2018 Kubernetes Contributor Summit EU

## What

The Contributor Summit provides an avenue for Kubernetes contributors to connect face to face and mindshare about future community development and community governance endeavors.

In some sense, the summit is a real-life extension of the community meetings and SIG meetings. There are three explicit goals:

- Cross-SIG communication and announcements
- Grow the number of new developers
- Make existing developers better

## Registration

- [Sign the CLA](/CLA.md) if you have not done so already.
- [Fill out this Google Form](https://goo.gl/forms/TgoUiqbqZLkyZSZw1) - Registration is now <b> closed.</b>

## When and Where

- Tuesday, May 1, 2018 (before Kubecon EU)
- Bella Center, Copenhagen, Denmark
- Registration and breakfast start at 8am in Room C1-M0
- Happy hour reception onsite to close at 5:30pm


There is a [Slack channel](https://kubernetes.slack.com/messages/contributor-summit) (#contributor-summit) for you to use during the summit to pass URLs, notes, reserve the hallway track room, etc.


## Agenda

### Morning

| Time        | Track One  - Room: C1-M1              | Track Two - Room: C1-M2                    | Track Three - Room: B4-M5   |
| ----------- | ------------------------------- |  ---------------------------- | -------------- |
| 8:00        | Registration and Breakfast - <b>Room: C1-M0</b>      |                               |                |
| 9:00-9:15   |                                 | Welcome and Introduction     |                |                   
| 9:15-9:30   |                                 | Steering Committee Update    |                |
|             |                                 |                              |                |
|             | [New Contributor Workshop](/events/2018/05-contributor-summit/new-contributor-workshop.md)        | Current Contributor Workshop  | Docs Sprint    |
|             |                                 |                               |                |
| 9:30-10:00  | Part 1                         | What's next in networking? Lead: thockin                  |                |
| 10:00-10:50 | Part 2                         | CRDs and Aggregation - future and pain points. Lead: sttts                  |                |
| 10:50-11:00 | B R E A K                       | B R E A K                     |                |
| 11:00-12:00 | Part 3                         | client-go and API extensions. Lead: munnerz                  |                |
| 12:00-1:00  | Part 4                         | Developer Tools. Leads: errordeveloper and r2d4                  |                |
| 1:00-2:00   | Lunch (Provided)                | Lunch (Provided)              |                |

*Note: The New Contributor Workshop will be a single continuous training, rather than being divided into sessions as the Current Contributor track is.  New contributors should plan to stay for the whole 3 hours.  [Outline here](/events/2018/05-contributor-summit/new-contributor-workshop.md).*

### Afternoon

| Time        | Track One                       |
| ----------- | ------------------------------- |
| 2:00-3:50   | SIG Updates                     |
| 3:50-4:00   | B R E A K                       |
| 4:00-5:30   | SIG Updates                     |
| 5:30-7:00   | Contributor Happy Hour          |
| 7:00        | EmpowerHER event (offsite)      |                                 

- SIG Updates (~5 minutes per SIG)
  - 2 slides per SIG, focused on cross-SIG issues, not internal SIG discussions (those are for Kubecon)
  - Identify potential issues that might affect multiple SIGs across the project
  - One-to-many announcements about changes a SIG expects that might affect others
- Track Leads
  - New Contributor Workshop - Josh Berkus, Guinevere Saenger, Ilya Dmitrichenko
  - Current Contributor Workshop - Paris Pittman
  - SIG Updates - Jorge Castro

## Misc:

A photographer and videographer will be onsite collecting b-roll and other shots for KubeCon. If you would rather not be involved, please reach out to an organizer on the day of so we may accommodate you.  

Further details to be updated on this doc. Please check back for a complete guide.
