# Kubernetes Weekly Community Meeting

We have PUBLIC and RECORDED [weekly meeting](https://zoom.us/my/kubernetescommunity) every Thursday at [5pm UTC](https://www.google.com/search?q=5pm+UTC).
 
See it on the web at [calendar.google.com](https://calendar.google.com/calendar/embed?src=cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com&ctz=America/Los_Angeles) , or paste this [iCal url](https://calendar.google.com/calendar/ical/cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com/public/basic.ics) into any [iCal client](https://en.wikipedia.org/wiki/ICalendar). Do NOT copy the meetings over to a your personal calendar, you will miss meeting updates. Instead use your client's calendaring feature to say you are attending the meeting so that any changes made to meetings will be reflected on your personal calendar. 

All meetings are archived on the [Youtube Channel](https://www.youtube.com/playlist?list=PL69nYSiGNLP1pkHsbPjzAewvMgGUpkCnJ).

Quick links:

- [Agenda document](http://bit.ly/k8scommunity)
- [Zoom meeting link](https://zoom.us/my/kubernetescommunity)

## Purpose

The Kubernetes community meeting is intended to provide a holistic overview of community activities, critical release information, and governance updates. 
It also provides a forum for discussion of project-level concerns that might need a wider audience than a single special interest group (SIG).

## Notetaker(s)

Notes from the meeting are published to the [Kubernetes dev](https://groups.google.com/forum/#!forum/kubernetes-dev) list. 
A good notetaker is important to help get the information out to people who cannot attend. 
Volunteers are always welcome to either add their notes directly to the document, or inform the host that they would like to help take notes at the beginning of the call.

## Meeting Agenda

If you have a topic you'd like to present or would like to see discussed,
please propose a specific date on the [Kubernetes Community Meeting Agenda](http://bit.ly/k8scommunity).

General speaking the meeting is structured as follows:

- Introduction by Host (~3 minutes)
- Community Demo (~10 minutes)
- Release Updates
  - Development Release
  - Stable Release and point releases
  - Older stable releases and point releases
- Graph of the Week (~2 minutes)
  - This is meant to bring attention to different [devstats graphs](https://k8s.devstats.cncf.io/)
- SIG Updates
  - Three SIGs per meeting, 10 minutes per SIG 
- Announcements (~5 minutes)
  - Any other community announcements should go here

## Demos

The first 10 minutes of a meeting is dedicated to demonstrations from the community. 
These demos are noted at the top of the community document. 
There is a hard stop of the demo at 10 minutes, with up to 5 more minutes for questions.
Feel free to add your demo request to the bottom of the list, then one of the organizers will get back to you to schedule an exact date. 
Demo submissions MUST follow the the requirements listed below. 

### Requirements

This meeting has a large number of attendees. 
Out of respect for their time, we ask that you be fully prepared for your demo. Make sure slides are clear if applicable, and the link to them is posted in the meeting agenda. 
Also, if you are doing a live coding demo, please make sure it has a reasonable chance of completing within the allotted time box.

- Your demo should provide clear, valuable information to the community without being commercial in nature. Typical sales pitches are not permitted, and could potentially alienate your audience. Commercial software and services can be demo'ed, but a prior discussion with the community team is advised to ensure a positive experience.
- You are required to show up 10 minutes before the meeting to verify your audio and screensharing capabilities with the hosts. If you cannot make and keep this commitment, you will not be allowed to proceed with your demo until such time you can.
- You also required to commit to being available the week before your demo date in case there is an issue with that week's demo.
- The use of a headset or other high-quality audio equipment is strongly encouraged. Typing on a laptop while using the system microphone is distracting, so please insulate your microphone from key noises.
- Ensure you are presenting from a quiet environment.
- If you run out of time while performing your demo, you may ask the audience if they would like a follow-up at a subsequent meeting. If there is enthusiastic support, the community team will help schedule a continuation.

## SIG Updates 

SIGs will give a community update at least once per release cycle per the [schedule](https://docs.google.com/spreadsheets/d/1adztrJ05mQ_cjatYSnvyiy85KjuI6-GuXsRsP-T2R3k). 

## Archives

The document gets slow as we add notes, so it is archived regularly into another document:

- [2017](https://docs.google.com/document/d/1sAH-74kIGROvM5MhyAkbJPVcuE9-RDHiOqfv_4PAGdw/edit#heading=h.en8cy6hno0c6)
- [2014-1016](https://docs.google.com/a/google.com/document/d/1fcs_POhXJCL1dqYrG3IxE4Ivh8jh2JYLCCdgRmBQeb8/edit?usp=sharing) 
