# Aaron Schlesinger

- Github: [arschles](https://github.com/arschles)
- Twitter: [@arschles](https://twitter.com/arschles) 

# About

I'm a Sr. Software Engineer, Microsoft Azure Containers Group.

I'm a passionate engineer, teacher and leader with over 10 years software engineering and 
architecture experience.

I believe that Kubernetes will truly succeed when we improve the developer and 
user experience. 

# Experience

I've made contributions to [helm](https://github.com/kubernetes/helm), [helm charts](https://github.com/kubernetes/charts), [minikube](https://github.com/kubernetes/minikube), [service-catalog](https://github.com/kubernetes-incubator/service-catalog) and I am a co-lead of SIG-Service-Catalog.

Outside of Kubernetes, I've spent over 10 years speaking at conferences, teaching Go & Scala,
building large systems, sitting on standards bodies, and contributing to other open source
projects.

# Promises

Here are my promises to the community should I be elected to the committee.

Above all, I want Kubernetes to be a nice place to work. That means:

- Engineers can build or improve things easily
- Engineers have clear expectations how & (generally) when they will get feedback on their work
- Engineers get constructive feedback on their work
- Everyone is treated with respect, and can resolve interpersonal problems amicably

Holistically, most of these points are true most of the time, but Kubernetes is growing so
fast and is so diverse that all of them are not always guaranteed right now.

I realize no community can achieve everything all the time, but I believe we can do better
together.

I want to improve the following immediately:

- Improve user _and_ developer documentation
- Create clearer guidelines on how reviews should happen
- Clarify how to rise as a contributor

Additionally, I'll contribute best to the committee as a representative of end users
and developers.

I will keep the same promises in the steering committee as I do in SIG-Service-Catalog: 

- **I will always solicit user and developer experiences before making decisions**
- **I will always tackle user and developer problems before anything else**
