# [Matt Farina](https://www.mattfarina.com)
Technical leader, coder, author, presenter

## Governance and Organization

The steering committee is [chartered](https://github.com/kubernetes/steering/blob/master/charter.md) with figuring out the governance and organization of the Kubernetes community. Matt has years of experience in both non-profit and open source organizations. He has served on the board for two non-profits along with being involved in open source projects with mature governance models (e.g., Drupal and OpenStack).

Matt believes that governance should enable people to easily navigate an organization and be empowered to be part of the community. That groups within an organization, such as special interest groups (SIG) and working groups, should have clearly communicated scope. This helps everyone understand how the organization is laid out while helping to highlight gaps.

He also believes in diversity. This includes diversity of ideas and uses for Kubernetes. Diversity brings out ideas that can often be missing in an echo chamber of similar people with similar uses cases. Diversity leads to a stronger Kubernetes that's more capable of meeting real world needs.

Matt wants to see Kubernetes as a professional community with an enjoyable experience for both contributors and consumers.

## Technical Background

Matt has been a contributor of open source for 15 years and a consumer of open source for over 20 years. In that time he has contributed to projects such as [Glide](https://glide.sh) (package manager), [Drupal](https://drupal.org), [OpenStack](https://www.openstack.org), and many others. While working in and out of open source Matt has had a focus on both software development and _user experience_.

He has also authored technical books, hosted podcasts, and presented at numerous conferences. This has taught him how to clearly communicate with a wide variety of people.

## Quick Details

* Co-founded and co-leads SIG Apps
* Works for [Samsung SDS](https://samsung-cnct.github.io)
