# Kubernetes Community Office Hours

Office Hours is a live stream where we answer live questions about Kubernetes from **users** on the [YouTube channel](https://www.youtube.com/c/KubernetesCommunity/). Office hours are a regularly scheduled meeting where people can bring topics to discuss with the greater community. They are great for answering questions, getting feedback on how you’re using Kubernetes, or to just passively learn by following along. 

### When and Where

Third Wednesday of every month, there are two sessions: 

- European Edition: [1pm UTC](https://www.google.com/search?q=1pm+UTC) 
- Western Edition: [8pm UTC](https://www.google.com/search?q=8pm+UTC)

Tune into the [Kubernetes YouTube Channel](https://www.youtube.com/c/KubernetesCommunity/live) to follow along. 

You can post questions on the [#office-hours channel](https://kubernetes.slack.com/messages/office-hours) on Slack, or if you like you can submit your question to Stack Overflow and have us take a look.

### How it Works

#### Bringing your own Stack Overflow Question

If you submit a [SO question](https://stackoverflow.com/questions/tagged/kubernetes) we can prepare ahead of time and check important details. 

As a thanks to the community the person asking the question can then ensure that a well written answer makes it way to the question afterwards so that we can build a knowledge base and help maintain the incoming questions. We can also use the video archive of each meeting to bring context to each SO question we answer. 

Questions that aren’t addressed or need work can be punted to the next week or we can encourage other people to give them a look, at a bare minimum we can at least help socialize the difficult questions. We keep a backlog of open questions in the [meeting notes](http://bit.ly/k8s-office-hours-notes).

The hosts will do a shout out of thanks to the [current leaderboard](https://stackoverflow.com/tags/kubernetes/topusers) of SO answerers each meeting so the people helping answer questions can get some recognition. 

#### What’s on topic?

Specific questions about Kubernetes as pertaining to the topic. Since this is a Q&A format, we’d like questions that can be answered generally. So for example:

- Bad: My ingress configuration is broken please fix it. (Dependent on local configuration)
- Good: My ingress configuration is broken can you discuss what problems you usually see and common mistakes that people make so I can avoid them? (Generalized and can communicate things that can help multiple people) 
- Bad: How do I deploy my application in Kubernetes? (Easy to look up, tons of content on this) 
- Good: What best practice techniques are there for deploying applications in Kubernetes? (Nuanced version lets us cover RBAC, application lifecycle)  
- Bad: My pods aren’t coming up on a node. (Vague)
- Good: My pods aren’t coming up or misbehaving, what are the debugging steps to find out the root cause? (Helps us communicate the thought process for debugging to a general audience) 

#### What’s off topic?

Developer/Contributor questions: This event is for end users and operators, there is a separate livestream called [Meet our Contributors](/mentoring/meet-our-contributors.md) where you can ask questions about getting started contributing, participating in peer reviews, and other development topics.

Local installation and debugging: The participants don’t have access to your network or your hardware. The host can/should help the user transform a vague question into something answerable and reusable. 

Let’s try to not just dismiss bad questions outright, but use it as an opportunity for the answer to be a teaching tool as opposed to just answering “It’s in /var/log/foo, next question.” If the question is about logging then the developers might as well share their experiences in that area, recommend tools, share an anecdote, things of that nature. 


### Archives

Archives of all the sessions are kept here:

- [Office Hours playlist](https://www.youtube.com/watch?v=D0Q7wwljN30&list=PL69nYSiGNLP3azFUvYJjGn45YbF6C-uIg)
- [Office Hours meeting notes](http://bit.ly/k8s-office-hours-notes)


### Volunteering

We're always looking for volunteers to host and answer questions. Volunteers looking to host hours in 
more time zones are also welcome to join in and help us expand. 

- [Volunteer working sheet](http://bit.ly/k8s-office-hours-volunteers)

If you have any questions ping [@castrojo](https://github.com/castrojo).
