# Google Summer of Code

Kubernetes is happy to announce that we have applied to participate in the Google Summer of Code (GSoC) program
under the Cloud Native Computing Foundation (CNCF), running from January 2018 to August 2018.

Please see the [main program page](https://summerofcode.withgoogle.com/) for general information about the program,
such as its purpose, timeline, eligibility requirements, and how to apply.

## Schedule

The following schedule is taken from the official [timeline](https://summerofcode.withgoogle.com/how-it-works/#timeline).

* January 4: Organization applications open
* January 23: Organization applications deadline
* February 12: Google will publish the accepted mentoring organizations
* March 12: Student applications open
* March 27: Student applications deadline
* March 27 - April 23: Applications are reviewed
* April 23: Accepted students are announced
* April 23 - May 14: Community Bonding period
* May 14 - August 6: Coding period
* June 11 - June 15: First evaluations
* July 9 - July 13: Second evaluations
* August 6 - August 14: Students submit code and final evaluations
* August 14 - August 21: Mentors submit final evaluations
* August 22: Results announced

## What is Kubernetes?

Kubernetes is an open-source system for automating deployment, scaling, and management of containerized applications.
It groups containers that make up an application into logical units for easy management and discovery.
Kubernetes builds upon 15 years of experience of running production workloads at Google, combined with best-of-breed ideas and practices from the community.
Please see [kubernetes.io](https://kubernetes.io/) for more details.

## What are SIGs?

Kubernetes is a set of projects, each shepherded by a special interest group (SIG).
To get a grasp of the projects that we work on, check out the complete [list of SIGs](/sig-list.md).

This [slide deck](https://docs.google.com/presentation/d/1JqcALpsg07eH665ZXQrIvOcin6SzzsIUjMRRVivrZMg) provides an overview of how the Kubernetes community is organized.

## Communication

- Mailing List: development announcements and discussions appear on the Google group `kubernetes-dev` (send mail to kubernetes-dev@googlegroups.com).
- Slack: Please [sign up](http://slack.k8s.io/) for an invite.

## Contribute

As part of the application process, the Google Summer of Code program recommends that candidates make small contributions to the project they intend to apply for.
To start working on the project, make sure to fill out the [CLA](/CLA.md) and check if you have the right environment with this guide.
The README in the [community repo](https://github.com/kubernetes/community) details these things and more.

## Guides

Google Summer of Code provides official guides for [students](https://google.github.io/gsocguides/student/) and [mentors](https://google.github.io/gsocguides/mentor/).

Please read the guides and [FAQs](https://developers.google.com/open-source/gsoc/faq) to get an idea of what it means to participate in the program.

## Available tasks

Please see the tasks listed for Kubernetes in the [`cncf/soc`](https://github.com/cncf/soc#kubernetes) repository.

## Coordination

* Ihor Dvoretskyi - ihor@cncf.io
* Nikhita Raghunath - nikitaraghunath@gmail.com
* Paris Pittman - parispittman@google.com

The coordinators can be contacted at any time. The easiest way is to send a slack message.

Do you have an idea for a task that is suitable for this program? Contact the mentors or coordinators!
Or even better, volunteer for mentoring an intern during the work on your idea!

## Past Participation

Kubernetes has participated in Google Summer of Code in [2017](https://summerofcode.withgoogle.com/archive/2017/organizations/6018829461225472/) (as a part of CNCF) and [2015](https://www.google-melange.com/archive/gsoc/2015/orgs/kubernetes).

To get an idea about the projects, you can take a look at the list of [project ideas](https://github.com/cncf/soc/blob/master/2017.md#kubernetes) published for GSoC 2017.

## Code of Conduct

Kubernetes abides by the CNCF [Code of Conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md).
