<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Storage Special Interest Group

Covers storage and volume plugins.

## Meetings
* Regular SIG Meeting: [Thursdays at 9:00 PT (Pacific Time)](https://docs.google.com/document/d/1FQx0BPlkkl1Bn0c9ocVBxYIKojpmrS1CFP5h0DI68AE/edit) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1-8KEG8AjAgKznS9NFm3qWqkGyCHmvU6HVl0sk5hwoAE/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/watch?v=Eh7Qa7KOL8o&list=PL69nYSiGNLP02-BMqJdfFgGxYQ4Nb-2Qq).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Saad Ali (**[@saad-ali](https://github.com/saad-ali)**), Google
* Bradley Childs (**[@childsb](https://github.com/childsb)**), Red Hat

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-storage)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-storage)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fstorage)

## Subprojects

The following subprojects are owned by sig-storage:
- **external-storage**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-incubator/external-storage/master/OWNERS
- **git-sync**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/git-sync/master/OWNERS
- **nfs-provisioner**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-incubator/nfs-provisioner/master/OWNERS
- **volumes**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/volume/OWNERS

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

The google groups contain the archive of Github team notifications.
Mentioning a team on Github will CC its group.
Monitor these for Github activity if you are not a member of the team.

| Team Name | Details | Google Groups | Description |
| --------- |:-------:|:-------------:|  ----------- |
| @kubernetes/sig-storage-api-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-storage-api-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-api-reviews) | API Changes and Reviews |
| @kubernetes/sig-storage-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-storage-bugs) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-storage-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-storage-feature-requests) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-feature-requests) | Feature Requests |
| @kubernetes/sig-storage-misc | [link](https://github.com/orgs/kubernetes/teams/sig-storage-misc) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-misc) | General Discussion |
| @kubernetes/sig-storage-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-storage-pr-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-pr-reviews) | PR Reviews |
| @kubernetes/sig-storage-proposals | [link](https://github.com/orgs/kubernetes/teams/sig-storage-proposals) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-proposals) | Design Proposals |
| @kubernetes/sig-storage-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-storage-test-failures) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-storage-test-failures) | Test Failures and Triage |

<!-- BEGIN CUSTOM CONTENT -->

## Details
The Kubernetes Storage Special-Interest-Group (SIG) is a working group within the Kubernetes contributor community interested in storage and volume plugins.

### Meeting
We hold a public meeting every two weeks, on Thursdays at 9 AM (PT).
* Agenda and any notes from each meeting are captured in [this document](https://docs.google.com/document/d/1-8KEG8AjAgKznS9NFm3qWqkGyCHmvU6HVl0sk5hwoAE/edit?usp=sharing).
* Contact saadali@google.com to be added to the calendar invite.
* Recordings of past meetings: https://www.youtube.com/playlist?list=PLb1_clREIGYVaqvKaUsVyXxjfcSQDBnmB

### Contributing
Interested in contributing to storage features in Kubernetes? [Please read our guide for new contributors](https://github.com/kubernetes/community/blob/master/sig-storage/contributing.md)

### Links
* Public Slack Channel: https://kubernetes.slack.com/messages/sig-storage/details/
  * Get invite to join here: http://slack.k8s.io/
  * Our channel is `sig-storage`
* Github Issues
  * [link](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Fstorage)
* Documentation for currently supported volume plugins: https://kubernetes.io/docs/concepts/storage/volumes/
* Code
  * [Volume plugins](https://github.com/kubernetes/kubernetes/tree/master/pkg/volume)
  * [Volume controllers](https://github.com/kubernetes/kubernetes/tree/master/pkg/controller/volume/)
  * [Kubelet volume manager](https://github.com/kubernetes/kubernetes/blob/master/pkg/kubelet/volumemanager/)

<!-- END CUSTOM CONTENT -->
